#include "particle.h"


particle::particle()
{
    //ctor
	damping = 1.0f;
}

particle::~particle()
{
    //dtor
}

void particle::setup( ofxVec3f pos_, ofxVec3f vel_, float damp )
{
    pos = pos_;
    vel = vel_;
    damping = damp;
}

void particle::update( float timeStep)
{
    pos += vel;
    vel *= damping;

}

void particle::draw()
{
    ofCircle(pos.x,pos.y,10);
}
